## com.arsdigita.cms.docmgr.search
Class LuceneSearchResults

    java.lang.Object
      com.arsdigita.cms.docmgr.search.LuceneSearchResults

All Implemented Interfaces:
  SearchResults

public class LuceneSearchResults
extends Object
implements SearchResults

Version:
  $Revision: #1 $ $Date: 2003/08/20 $
Author:
  hbrock@redhat.com

Constructor Summary
`LuceneSearchResults(com.arsdigita.lucene.LuceneSearch search)`

Method Summary
`Iterator` `getResults()` Returns an iterator over the desired range of Results, or all the Results if setRange has not been called.
`long` `getTotalSize()` Returns the number of search results
`void` `setRange(Integer first, Integer last)` Sets the indexes of the first and last results returned.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LuceneSearchResults

    public LuceneSearchResults(com.arsdigita.lucene.LuceneSearch search)

Method Detail

### getTotalSize

    public long getTotalSize()

  Description copied from interface: `SearchResults`
  Returns the number of search results

  Specified by:
    `getTotalSize` in interface `SearchResults`
  See Also:
    `SearchResults.getTotalSize()`

### setRange

    public void setRange(Integer first,
                         Integer last)

  Description copied from interface: `SearchResults`
  Sets the indexes of the first and last results returned. Result numbering begins with 0

  Specified by:
    `setRange` in interface `SearchResults`
  Parameters:
    `first` -
    `last` -
  See Also:
    `SearchResults.setRange(Integer, Integer)`

### getResults

    public Iterator getResults()

  Description copied from interface: `SearchResults`
  Returns an iterator over the desired range of Results, or all the Results if setRange has not been called.

  Specified by:
    `getResults` in interface `SearchResults`
  See Also:
    `SearchResults.getResults()`

Copyright (c) 2006 Red Hat, Inc. Corporation. All Rights Reserved. Generated at June 1 2006:1113 UTC